Skip to main content

Share patient open order

This is an API will be invoked from the integrator application to share the user/patient profile with HMIS/LIMS.

POST/api/hiecm/scan-gateway/v3/patient/share/open-order

Header

Authorisation will be provided by the gateway session API after the successful verification of client ID and Secret [ Example: Bearer ]

X-AUTH-TOKEN JWT Authentication token which was issued by ABDM after successful validation of user[ Example: Bearer ]

REQUEST-ID unique UUID[ Example: 18235d89-cb13-479d-ad71-7a57d5f669a8 ]

TIMESTAMP actual time of the requested was initiated[ Example: 2022-10-06T10:10:00.587Z ]

X-CM-ID consent manager ID[ Example: sbx ]

X-HIU-ID [ Example: HIU ID ]

Request Body

intent This is a key value pair which contains the purpose [ Example: type: OPEN_PAYMENT_ORDER ]

metaData This is a key value pair which contains hipId, counterId[ Example: { hipId:IN3810000008 counterId: 12123 } ]

profile which contains user details

Authorizations

Authorizationbearer tokenRequired

The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Bearer prefix.

Headers

REQUEST-IDstringRequired

Unique UUID for track the end to end request transaction

TIMESTAMPstringRequired

Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds.

X-CM-IDstringRequired

Suffix of the consent manager to which the request was intended

X-AUTH-TOKENstringRequired

JWT Authentication token which was issued by ABDM after successful validation of username and password

X-HIU-IDstringRequired

Identifier of the health information user to which the request was intended

Responses

400

Bad Request

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-2500 - no mapping found to the resp.requestId cache. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

error.messagestringRequired
401

Unauthorized

Everything returns 401

codestring

900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

messagestring
descriptionstring
429

Too Many Requests

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-2429 - Too Many Requests found. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

error.messagestringRequired
500

Internal Server Error

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-2500 - Unknown error occurred. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

error.messagestringRequired
503

Service Unavailable

Error codes for this module

codestringRequired

ABDM-2500 - Service Unavailable. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

messagestringRequired

Callbacks​

  • After this call, ABDM posts This is a callback API for patient on-share. This Api needs to implement by HIU for receive all the open order. to /v3/patient/on-share/open-order. Open the callback.